function [ c, A, b ] = generate_problem( system_dim, constraint_num, density)
%GENERATE_PROBLEM Summary of this function goes here
%   Detailed explanation goes here
c = (rand(system_dim, 1)-0.5)*10;
A = sparse(system_dim, constraint_num);

A = sprand(system_dim, constraint_num, density);

A(1, :) = A(1, :) + ones(1, constraint_num);

b = (rand(constraint_num, 1)-1)*10;

end
